Last Comment Bug 433437 - vfychain ignores the -a option
: vfychain ignores the -a option
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Tools (show other bugs)
: 3.11
: All All
: P2 normal (vote)
: 3.12.1
Assigned To: Nelson Bolyard (seldom reads bugmail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 18:21 PDT by Nelson Bolyard (seldom reads bugmail)
Modified: 2008-05-13 08:39 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
vfychain patch v1 (3.49 KB, patch)
2008-05-12 18:21 PDT, Nelson Bolyard (seldom reads bugmail)
julien.pierre: review+
Details | Diff | Review

Description Nelson Bolyard (seldom reads bugmail) 2008-05-12 18:21:43 PDT
Created attachment 320630 [details] [diff] [review]
vfychain patch v1

vfychain's usage message says that it honors a -a option that means that 
any cert files named after that in the command line are ASCII (or "PEM") 
encoded.  But today, in all versions of vfychain produced to date, 
vfychain silently ignores the -a option.  vfychain requires all input cert
files to be raw binary DER, not PEM.  

The attached patch fixes this.
Comment 1 Nelson Bolyard (seldom reads bugmail) 2008-05-12 18:31:08 PDT
I thought there was already a bug filed on this problem, but I cannot find it.
If this is a duplicate, and you know the number of the other bug, please 
mark that other bug as a duplicate of this one.  Merci'   :)
Comment 2 Nelson Bolyard (seldom reads bugmail) 2008-05-12 19:20:29 PDT
Comment on attachment 320630 [details] [diff] [review]
vfychain patch v1

Thanks for the quick review.

Checking in vfychain.c; new revision: 1.24; previous revision: 1.23

Note You need to log in before you can comment on or make changes to this bug.